Together AI SDK (Python)
from together import Together
client = Together()
# The SDK has no dedicated method for this endpoint yet, so call it with
# the client's generic GET helper.
signed = client.get("/deployments/storage/model.tar.gz/url", cast_to=object)
print(signed)import Together from "together-ai";
const client = new Together();
// The SDK has no dedicated method for this endpoint yet, so call it with
// the client's generic GET helper.
const signed = await client.get("/deployments/storage/model.tar.gz/url");
console.log(signed);
import Together from "together-ai";
const client = new Together();
// The SDK has no dedicated method for this endpoint yet, so call it with
// the client's generic GET helper.
const signed = await client.get("/deployments/storage/model.tar.gz/url");
console.log(signed);
curl --request GET \
--url https://api.together.ai/v1/deployments/storage/{filename}/url \
--header 'Authorization: Bearer <token>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.together.ai/v1/deployments/storage/{filename}/url",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.together.ai/v1/deployments/storage/{filename}/url"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.together.ai/v1/deployments/storage/{filename}/url")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.together.ai/v1/deployments/storage/{filename}/url")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"url": "<string>"
}{}{}{}Storage
Get a file download URL
Create a signed URL for downloading a deployment storage file
GET
/
v1
/
deployments
/
storage
/
{filename}
/
url
Together AI SDK (Python)
from together import Together
client = Together()
# The SDK has no dedicated method for this endpoint yet, so call it with
# the client's generic GET helper.
signed = client.get("/deployments/storage/model.tar.gz/url", cast_to=object)
print(signed)import Together from "together-ai";
const client = new Together();
// The SDK has no dedicated method for this endpoint yet, so call it with
// the client's generic GET helper.
const signed = await client.get("/deployments/storage/model.tar.gz/url");
console.log(signed);
import Together from "together-ai";
const client = new Together();
// The SDK has no dedicated method for this endpoint yet, so call it with
// the client's generic GET helper.
const signed = await client.get("/deployments/storage/model.tar.gz/url");
console.log(signed);
curl --request GET \
--url https://api.together.ai/v1/deployments/storage/{filename}/url \
--header 'Authorization: Bearer <token>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.together.ai/v1/deployments/storage/{filename}/url",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.together.ai/v1/deployments/storage/{filename}/url"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.together.ai/v1/deployments/storage/{filename}/url")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.together.ai/v1/deployments/storage/{filename}/url")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"url": "<string>"
}{}{}{}Was this page helpful?
⌘I